from transformers import AutoTokenizer


def create_tokenizer(tokenizer_name):
    tokenizer = AutoTokenizer.from_pretrained(
        f"./local_tokenizers/{tokenizer_name}",
        local_files_only=True
    )
    if tokenizer_name == 'gpt2':
        tokenizer.pad_token = tokenizer.eos_token
        tokenizer.unk_token = tokenizer.eos_token
        tokenizer.bos_token = tokenizer.eos_token

    return tokenizer
